Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007825Dwarf FortressDwarf Mode -- Jobs, Designationspublic2014-08-03 17:532014-08-09 12:38
ReporterKanddak 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformMacOSMacOS Version10.7.5
Product Version0.40.06 
Target VersionFixed in Version0.40.07 
Summary0007825: Miner frozen on "dig channel" job
DescriptionPossibly related to 0007274 and/or 0006842: I have a miner who's frozen on a "dig channel" job. He is standing two tiles away from the job, separated from the tile he is supposed to dig by the downward ramp where another tile was recently channeled. It looks like maybe my other miner channeled out the tile where this one was going to walk to get to his job?
Tags0.40.06, Save Included
Attached Files

- Relationships
related to 0007274new Woodcutter stuck in place trying to "Fell Tree" 
has duplicate 0007887resolvedlethosor Miners randomly stop mining 
has duplicate 0007910resolvedFootkerchief Miners will not finish mining 
has duplicate 0007919resolvedlethosor Designating long channel causes miners to freeze 

-  Notes
(0028253)
Kanddak (reporter)
2014-08-03 17:56
edited on: 2014-08-03 17:59

Save file: http://dffd.wimbli.com/file.php?id=9270 [^]

I've tried a couple times to reproduce this by setting up channel designations in 1-wide tunnels so that one miner channels out the other's path, but have had no luck so far.

Like the woodcutters in 0007274, cancelling the designation on the original stuck job immediately freed the miner.

(0028257)
Kanddak (reporter)
2014-08-03 20:27

I wasn't able to reproduce this intentionally, but I saw it happen twice more in the same game when I was channeling out a moat. It looked like it did involve one miner channeling out the tile that the other was planning to stand on while channeling just moments before the second miner was going to step on that tile.
(0028489)
ptb_ptb (reporter)
2014-08-06 14:07

I've seen this one. You can 'unfreeze' the miner by putting him in a military squad, moving the squad, then disbanding it. I've been doing a lot of channel digging, so I get this bug every half hour or so.
(0028490)
Kanddak (reporter)
2014-08-06 14:19

I'm able to unfreeze him more easily than that by cancelling and then redesignating the channel he's stuck on.
(0028492)
splitcorez (reporter)
2014-08-06 15:29

Pathfinding error, been having dwarves stuck on their way to fish, dig channel tiles or cut tree. Possibly happens when the tile they were going to move into gets channeled and the dwarf just sits there starving until you realize he's stuck and save him.
(0028510)
ptb_ptb (reporter)
2014-08-07 01:17

In my experience, cancelling and re-designating doesn't always work. I'll retest to be sure.

- Issue History
Date Modified Username Field Change
2014-08-03 17:53 Kanddak New Issue
2014-08-03 17:53 Kanddak Tag Attached: 0.40.06
2014-08-03 17:56 Kanddak Note Added: 0028253
2014-08-03 17:58 Kanddak Note Edited: 0028253 View Revisions
2014-08-03 17:58 Kanddak Tag Attached: Save Included
2014-08-03 17:59 Kanddak Note Edited: 0028253 View Revisions
2014-08-03 20:23 lethosor Description Updated View Revisions
2014-08-03 20:24 lethosor Relationship added related to 0007274
2014-08-03 20:27 Kanddak Note Added: 0028257
2014-08-06 14:07 ptb_ptb Note Added: 0028489
2014-08-06 14:19 Kanddak Note Added: 0028490
2014-08-06 15:29 splitcorez Note Added: 0028492
2014-08-07 01:17 ptb_ptb Note Added: 0028510
2014-08-07 04:41 lethosor Relationship added has duplicate 0007887
2014-08-07 21:58 Footkerchief Assigned To => Footkerchief
2014-08-07 21:58 Footkerchief Status new => confirmed
2014-08-08 12:31 Footkerchief Relationship added has duplicate 0007910
2014-08-08 17:30 lethosor Relationship added has duplicate 0007919
2014-08-09 12:38 Toady One Status confirmed => resolved
2014-08-09 12:38 Toady One Fixed in Version => Next Version
2014-08-09 12:38 Toady One Resolution open => fixed
2014-08-09 12:38 Toady One Assigned To Footkerchief => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker